Bug 13226 - java-1.7.0-openjdk new security issues fixed in IcedTea 2.4.7
: java-1.7.0-openjdk new security issues fixed in IcedTea 2.4.7
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: Security
: 4
: i586 Linux
: Normal Severity: critical
: ---
Assigned To: QA Team
: Sec team
: http://lwn.net/Vulnerabilities/595031/
: MGA3TOO advisory MGA4-64-OK MGA4-32-O...
: validated_update
:
:
  Show dependency treegraph
 
Reported: 2014-04-17 00:30 CEST by David Walser
Modified: 2014-04-23 18:19 CEST (History)
3 users (show)

See Also:
Source RPM: java-1.7.0-openjdk-1.7.0.60-2.4.4.4.mga5.src.rpm
CVE:


Attachments

Description David Walser 2014-04-17 00:30:06 CEST
RedHat has issued an advisory today (April 16):
https://rhn.redhat.com/errata/RHSA-2014-0406.html

The upstream IcedTea announcement is here:
http://blog.fuseyism.com/index.php/2014/04/16/security-icedtea-2-4-7-for-openjdk-7-released/

The Oracle advisory is here:
http://www.oracle.com/technetwork/topics/security/cpuapr2014-1972952.html

According to the IcedTea announcement, CVE-2014-0459 is in the bundled LCMS, but we're actually using the system lcms2, so that may also need to be patched.

Reproducible: 

Steps to Reproduce:
Comment 1 David Walser 2014-04-17 01:07:59 CEST
I have synced most changes from Fedora 20 git into Cauldron SVN, except for the lua and OrderWithRequires tags from these commits, because I'm not sure about those changes:
http://pkgs.fedoraproject.org/cgit/java-1.7.0-openjdk.git/commit/?h=f20&id=69b49547bda5792f3bef70a3ad74aa8cf872721f
http://pkgs.fedoraproject.org/cgit/java-1.7.0-openjdk.git/commit/?h=f20&id=4ee22ef28782d17f3a862d20c93756762b56c3a1
Comment 2 David Walser 2014-04-17 01:09:38 CEST
Fedora 19 git doesn't have those lua and OrderWithRequires changes, so they're probably not necessary.
Comment 3 David Walser 2014-04-22 16:45:33 CEST
(In reply to David Walser from comment #0)
> According to the IcedTea announcement, CVE-2014-0459 is in the bundled LCMS,
> but we're actually using the system lcms2, so that may also need to be
> patched.

Indeed, RedHat reported upstream to lcms2 and the Java patch is linked here:
https://bugzilla.redhat.com/show_bug.cgi?id=1087444#c4
Comment 4 David Walser 2014-04-22 17:11:02 CEST
lcms2 package patched for Mageia 3, Mageia 4, and Cauldron.

lcms2-2.5-1.1.mga3
liblcms2_2-2.5-1.1.mga3
liblcms2-devel-2.5-1.1.mga3
lcms2-2.5-2.1.mga4
liblcms2_2-2.5-2.1.mga4
liblcms2-devel-2.5-2.1.mga4

from SRPMS:
lcms2-2.5-1.1.mga3.src.rpm
lcms2-2.5-2.1.mga4.src.rpm
Comment 5 David Walser 2014-04-22 19:25:45 CEST
Updated packages uploaded for Mageia 3, Mageia 4, and Cauldron.

Advisory:
========================

Updated java-1.7.0-openjdk packages fix security vulnerabilities:

An input validation flaw was discovered in the medialib library in the 2D
component. A specially crafted image could trigger Java Virtual Machine
memory corruption when processed. A remote attacker, or an untrusted Java
application or applet, could possibly use this flaw to execute arbitrary
code with the privileges of the user running the Java Virtual Machine
(CVE-2014-0429).

Multiple flaws were discovered in the Hotspot and 2D components in OpenJDK.
An untrusted Java application or applet could use these flaws to trigger
Java Virtual Machine memory corruption and possibly bypass Java sandbox
restrictions (CVE-2014-0456, CVE-2014-2397, CVE-2014-2421).

Multiple improper permission check issues were discovered in the Libraries
component in OpenJDK. An untrusted Java application or applet could use
these flaws to bypass Java sandbox restrictions (CVE-2014-0457,
CVE-2014-0455, CVE-2014-0461).

Multiple improper permission check issues were discovered in the AWT,
JAX-WS, JAXB, Libraries, Security, Sound, and 2D components in OpenJDK.
An untrusted Java application or applet could use these flaws to bypass
certain Java sandbox restrictions (CVE-2014-2412, CVE-2014-0451,
CVE-2014-0458, CVE-2014-2423, CVE-2014-0452, CVE-2014-2414, CVE-2014-2402,
CVE-2014-0446, CVE-2014-2413, CVE-2014-0454, CVE-2014-2427, CVE-2014-0459).

Multiple flaws were identified in the Java Naming and Directory Interface
(JNDI) DNS client. These flaws could make it easier for a remote attacker
to perform DNS spoofing attacks (CVE-2014-0460).

It was discovered that the JAXP component did not properly prevent access
to arbitrary files when a SecurityManager was present. This flaw could
cause a Java application using JAXP to leak sensitive information, or
affect application availability (CVE-2014-2403).

It was discovered that the Security component in OpenJDK could leak some
timing information when performing PKCS#1 unpadding. This could possibly
lead to the disclosure of some information that was meant to be protected
by encryption (CVE-2014-0453).

It was discovered that the fix for CVE-2013-5797 did not properly resolve
input sanitization flaws in javadoc. When javadoc documentation was
generated from an untrusted Java source code and hosted on a domain not
controlled by the code author, these issues could make it easier to perform
cross-site scripting (XSS) attacks (CVE-2014-2398).

An insecure temporary file use flaw was found in the way the unpack200
utility created log files. A local attacker could possibly use this flaw to
perform a symbolic link attack and overwrite arbitrary files with the
privileges of the user running unpack200 (CVE-2014-1876).

Note that the CVE-2014-0459 issue is in the lcms2 library, which has been
patched to correct this flaw.

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-0429
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-0446
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-0451
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-0452
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-0453
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-0454
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-0455
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-0456
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-0457
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-0458
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-0459
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-0460
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-0461
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-1876
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-2397
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-2398
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-2402
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-2403
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-2412
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-2413
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-2414
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-2421
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-2423
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-2427
http://blog.fuseyism.com/index.php/2014/04/16/security-icedtea-2-4-7-for-openjdk-7-released/
http://www.oracle.com/technetwork/topics/security/cpuapr2014-1972952.html
https://rhn.redhat.com/errata/RHSA-2014-0406.html
========================

Updated packages in core/updates_testing:
========================
java-1.7.0-openjdk-1.7.0.60-2.4.7.1.mga3
java-1.7.0-openjdk-headless-1.7.0.60-2.4.7.1.mga3
java-1.7.0-openjdk-devel-1.7.0.60-2.4.7.1.mga3
java-1.7.0-openjdk-demo-1.7.0.60-2.4.7.1.mga3
java-1.7.0-openjdk-src-1.7.0.60-2.4.7.1.mga3
java-1.7.0-openjdk-javadoc-1.7.0.60-2.4.7.1.mga3
java-1.7.0-openjdk-accessibility-1.7.0.60-2.4.7.1.mga3
lcms2-2.5-1.1.mga3
liblcms2_2-2.5-1.1.mga3
liblcms2-devel-2.5-1.1.mga3
java-1.7.0-openjdk-1.7.0.60-2.4.7.1.mga4
java-1.7.0-openjdk-headless-1.7.0.60-2.4.7.1.mga4
java-1.7.0-openjdk-devel-1.7.0.60-2.4.7.1.mga4
java-1.7.0-openjdk-demo-1.7.0.60-2.4.7.1.mga4
java-1.7.0-openjdk-src-1.7.0.60-2.4.7.1.mga4
java-1.7.0-openjdk-javadoc-1.7.0.60-2.4.7.1.mga4
java-1.7.0-openjdk-accessibility-1.7.0.60-2.4.7.1.mga4
lcms2-2.5-2.1.mga4
liblcms2_2-2.5-2.1.mga4
liblcms2-devel-2.5-2.1.mga4

from SRPMS:
java-1.7.0-openjdk-1.7.0.60-2.4.7.1.mga3.src.rpm
lcms2-2.5-1.1.mga3.src.rpm
java-1.7.0-openjdk-1.7.0.60-2.4.7.1.mga4.src.rpm
lcms2-2.5-2.1.mga4.src.rpm
Comment 6 Shlomi Fish 2014-04-23 09:25:02 CEST
Hi,

[[ Procedure (has_procedure) ]]:

what I did to test it was try to use the Java applets over at http://people.cs.uchicago.edu/~stefanko/Teaching/CS102-Sum2001/Applets/Applets.html (short URL - http://is.gd/IS3CNN ) using Firefox after installing the updates and the icedtwa-web package. Apparently, the Daily Crosswords over at http://www.brainbashers.com/crosswords.asp did not work properly with it before or after the upgrade.

Marking as MGA4-64-OK.

Regards,

-- Shlomi Fish
Comment 7 Shlomi Fish 2014-04-23 09:33:27 CEST
And it's fine in MGA4-32-OK.
Comment 8 Shlomi Fish 2014-04-23 09:42:53 CEST
MGA3-64-OK too. It's fine there.
Comment 9 Shlomi Fish 2014-04-23 09:51:31 CEST
MGA3-32-OK is fine too.
Comment 10 claire robinson 2014-04-23 15:11:16 CEST
Well done Shlomi, thanks

Validating. Advisory uploaded.

Could sysadmin please push to 3 & 4 updates

Thanks
Comment 11 Thomas Backlund 2014-04-23 18:19:36 CEST
Update pushed:
http://advisories.mageia.org/MGASA-2014-0189.html

Note You need to log in before you can comment on or make changes to this bug.